Skip to main content

createApiKey

Create a company API key

createApiKey(
input: CreateApiKeyInput!
): CreateApiKeyPayload

Arguments​

createApiKey.input ● CreateApiKeyInput! non-null input​

Parameters for CreateApiKey

Type​

CreateApiKeyPayload object​

Autogenerated return type of CreateApiKey.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateApiKey($input: CreateApiKeyInput!) {\n createApiKey(input: $input) { apiKey { id name status } clientMutationId token }\n}","variables":{"input":{"companyId":"<company_id>","name":"example","type":"SERVICE","expiresAt":"<ISO8601DateTime>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute